Skip to Content
⚠️Active Development Notice: TimeTiles is under active development. Information may be placeholder content or not up-to-date.
ReferenceAPI ReferenceAPI RoutesAPIAdminJobsRunapp/api/admin/jobs/run/route

web


web / app/api/admin/jobs/run/route

app/api/admin/jobs/run/route

API endpoint for running queued jobs.

This endpoint is used by E2E tests to trigger job processing. In production, jobs would typically be run by a scheduled cron or worker.

POST /api/admin/jobs/run - Run queued jobs

Variables

POST()

const POST: (req, context) => Promise<Response>

Run queued jobs.

This endpoint is primarily for E2E testing where we need to process jobs synchronously rather than via cron.

Parameters

req

NextRequest

context
params

Promise<Record<string, string>>

Returns

Promise<Response>

Last updated on